"""Default configuration."""


class Config(object):
    """Represent the default configuration.

    Reminder: this should be overwritten in the instance config.py, not here!
    """

    DEBUG = False
    TESTING = False

    LOGGING = {
        'version': 1,
        'formatters': {
            'default': {
                'format': '[%(asctime)s %(levelname)-7s %(name)s] %(message)s',
            },
        },
        'handlers': {
            'console': {
                'level': 'DEBUG',
                'class': 'logging.StreamHandler',
                'formatter': 'default',
            },
        },
        'loggers': {
            '': {
                'level': 'INFO',
                'handlers': ['console'],
            },
        },
    }

    MARKDOWN_EXTENSIONS = ['extra', 'sane_lists', 'smarty', 'tables']
    MARKDOWN_EXTENSION_CONFIGS = {
        'extra': {
            'attr_list': {},
            'footnotes': {
                'UNIQUE_IDS': True,
            },
        },
        'smarty': {
            'smart_dashes': True,
            'smart_quotes': False,
            'smart_angled_quotes': False,
            'smart_ellipses': True,
        },
    }

    MEDIA_DIR = 'media'

    # customizations
    DEFAULT_PAGE_STYLE = 'light'
    TITLE_SUFFIX = 'example.com'
    CONTACT_EMAIL = 'admin@example.com'

    # specify FAVICON in your instance config.py to override the provided icon
